Skip to navigation

List entry templates

List entry templates

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageSizeintegerOptional0-100Defaults to 50
Number of results to return. Defaults to 50, maximum of 100.
nextTokenstringOptional
Token for pagination
modifiedAtstringOptional

Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.

namestringOptional
Name of an Entry Template. Restricts results to those with the specified name.
templateCollectionIdstringOptional
ID of a template collection. Resticts results to those in the template collection.
idsstringOptional

Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.

schemaIdstringOptional
ID of a schema. Restricts results to those of the specified schema.
returningstringOptional

Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.

Note: “entryTemplates.days.notes” cannot be introspected with the returning parameter, and any sub fields will be ignored. E.g., “entryTemplates.days.notes.text” will return the same model as “entryTemplates.days.notes”.

Response

Returns a list of entry templates. Entry templates are templates that users can base new notebook entries off of.
entryTemplateslist of objectsOptional
nextTokenstringOptional

Errors

400
Bad Request Error